Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.web.action
Class ViewReferersAction

    java.lang.Object
      net.sourceforge.pebble.web.action.Action
          net.sourceforge.pebble.web.action.SecureAction
              net.sourceforge.pebble.web.action.AbstractLogAction
                  net.sourceforge.pebble.web.action.ViewReferersAction

    public class ViewReferersAction

extends AbstractLogAction

Gets the referers for the specified time period. This differs from the unsecure version in that it allows referers to be seen month by month and referer filtering can be toggled on/off.

Author:
  Simon Brown

Constructor Summary
`ViewReferersAction()`

Method Summary
`View` | `process(HttpServletRequest request, HttpServletResponse response)` Peforms the processing associated with this action.

Methods inherited from class net.sourceforge.pebble.web.action.AbstractLogAction
`getLog, getLogFile, getRoles`

Methods inherited from class net.sourceforge.pebble.web.action.Action
`getModel, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewReferersAction

    public ViewReferersAction()

Method Detail

### process

    public View process(HttpServletRequest request,
                        HttpServletResponse response)
                 throws ServletException

  Peforms the processing associated with this action.

  Specified by:
    `process` in class `Action`
  Parameters:
    `request` - the HttpServletRequest instance
    `response` - the HttpServletResponse instance
  Returns:
    the name of the next view
  Throws:
    `ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.